Package org.apache.ignite.internal.processors.platform.websession

## Class PlatformDotNetSessionLockProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.websession.PlatformDotNetSessionLockProcessor

All Implemented Interfaces:
  `Serializable`, `javax.cache.processor.EntryProcessor<String,​PlatformDotNetSessionData,​Object>`, `CacheEntryProcessor<String,​PlatformDotNetSessionData,​Object>`

    public class PlatformDotNetSessionLockProcessor
    extends Object
    implements CacheEntryProcessor<String,​PlatformDotNetSessionData,​Object>

Entry processor that locks web session data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PlatformDotNetSessionLockProcessor​(UUID lockNodeId, long lockId, Timestamp lockTime)` Ctor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `process​(javax.cache.processor.MutableEntry<String,​PlatformDotNetSessionData> entry, Object... args)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetSessionLockProcessor

    public PlatformDotNetSessionLockProcessor​(UUID lockNodeId,
                                              long lockId,
                                              Timestamp lockTime)

Ctor.

Parameters:
  `lockNodeId` - Lock node id.
  `lockId` - Lock id.
  `lockTime` - Lock time.

### Method Detail

#### process

    public Object process​(javax.cache.processor.MutableEntry<String,​PlatformDotNetSessionData> entry,
                          Object... args)
                   throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<String,​PlatformDotNetSessionData,​Object>`
Throws:
  `javax.cache.processor.EntryProcessorException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`